<template>
  <div v-if="!resourceNumber">
    <span>-</span>
  </div>
  <div v-else>
    <span class="orders-page__reg-number">
      <span class="block">{{ getRegNumber(resourceNumber, 'forward') }}</span>
      <span class="block">{{ getRegNumber(resourceNumber, 'back') }}</span>
    </span>
  </div>
</template>

<script>
  export default {
    name: "registrationNumber",
    props: {
      resourceNumber: {
        type: String,
        default: ''
      }
    },
    methods: {
      getRegNumber(number, pos) {
        if (pos === 'forward') {
          number = number.slice(0,6);
          return number;
        } else if (pos === 'back') {
          number = number.slice(6, number[number.lenght - 1]);
          return number;
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  .orders-page__reg-number {
    display: inline-block;
    vertical-align: top;
    border: 1px solid $cornflower-craiola;
    border-radius: 3px;
    font-size: 14px;
    line-height: 16px;
    letter-spacing: 0.2px;
    color: $style-black;
    text-transform: lowercase;
    font-variant: small-caps;
    background: $background-white;
    span {
      padding: 2px 4px;
      display: inline-block;
      vertical-align: top;
      &:last-child {
        border-left: 1px solid $cornflower-craiola;
        width: 35px;
        text-align: center;
      }
    }
  }
</style>